# DMDispatcher (Document Manager API Documentation)
Keywords: com.arsdigita.docmgr.ui.DMDispatcher class

## com.arsdigita.docmgr.ui
Class DMDispatcher

    java.lang.Object
      com.arsdigita.dispatcher.MapDispatcher
          com.arsdigita.bebop.page.BebopMapDispatcher
              com.arsdigita.bebop.BebopMapDispatcher
                  com.arsdigita.docmgr.ui.DMDispatcher

All Implemented Interfaces:
  com.arsdigita.dispatcher.Dispatcher, DMConstants

public class DMDispatcher
extends com.arsdigita.bebop.BebopMapDispatcher
implements DMConstants

Dispatcher for document manager application.

Author:
  Stefan Deusch

Nested Class Summary

Nested classes inherited from class com.arsdigita.dispatcher.MapDispatcher
`com.arsdigita.dispatcher.MapDispatcher.ParseConfigHandler`

Field Summary
`static String` `versionId`

Fields inherited from interface com.arsdigita.docmgr.ui.DMConstants

`ABS_PATH, ACTION_COPY_LABEL, ACTION_COPY_SUBMIT, ACTION_COPY_VALUE, ACTION_CUT_LABEL, ACTION_CUT_VALUE, ACTION_DELETE_CONFIRM, ACTION_DELETE_LABEL, ACTION_DELETE_SUBMIT, ACTION_DELETE_VALUE, ACTION_ERROR_CONTINUE, ACTION_ERROR_LABEL, ACTION_MOVE_SUBMIT, BUNDLE_NAME, CANCEL, DESTINATION_FOLDER_PANEL_HEADER, DIFFERENT_MIMETYPE_ERROR, DOCS_XML_NS, EMAIL_INVALID_ERROR, FILE_ACTION_HEADER, FILE_DELETE_CONFIRM, FILE_DELETE_HEADER, FILE_DELETE_LINK, FILE_DESCRIPTION, FILE_DOWNLOAD_HEADER, FILE_DOWNLOAD_LINK, FILE_EDIT_ACTION_DESCRIPTION, FILE_EDIT_HEADER, FILE_EDIT_LINK, FILE_FEEDBACK_HEADER, FILE_ID_PARAM, FILE_ID_PARAM_NAME, FILE_INFO_COMMENTS_TITLE, FILE_INFO_HISTORY_TITLE, FILE_INFO_LABEL, FILE_INFO_LINKS_TITLE, FILE_INFO_PROPERTIES_TITLE, FILE_KEYWORDS, FILE_NAME, FILE_NAME_REQUIRED, FILE_NEW_VERSION_LINK, FILE_PROPERTIES_HEADER, FILE_REVISION_HISTORY_HEADER, FILE_SAVE, FILE_SEND_COLLEAGUE_HEADER, FILE_SEND_COLLEAGUE_LINK, FILE_SOURCE, FILE_SUBMIT, FILE_UPLOAD_ADD_FILE, FILE_UPLOAD_FORM_HEADER, FILE_UPLOAD_HEADER, FILE_UPLOAD_INITIAL_TRANSACTION_DESCRIPTION, FILE_VERSION_DESCRIPTION, FILES, FOLDER_CREATE_FORM_HEADER, FOLDER_DESCRIPTION, FOLDER_DESCRIPTION_LABEL, FOLDER_EMPTY_LABEL, FOLDER_ID, FOLDER_INFORMATION_HEADER, FOLDER_NAME, FOLDER_NAME_LABEL, FOLDER_NEW_FILE_LINK, FOLDER_NEW_FOLDER_LINK, FOLDER_PARENTNOTFOUND_ERROR, FOLDER_SAVE, FOLDERS, GET_ALL_TREES, GET_CHILDREN, GET_REPOSITORIES, GET_REPOSITORIES_ROOTS, GO_BACK_LABEL, HELP_LABEL, IS_FOLDER, IS_LOCKED, IS_MOUNTED, LAST_MODIFIED, MIME_TYPE_LABEL, MODIFYING_USER, MY_WORKSPACE_LABEL, NAME, NUM_FILES, PAGE_TITLE_LABEL, REPOSITORIES_INFORMATION_HEADER, REPOSITORIES_MOUNTED_SAVE, REPOSITORY_ID, REPOSITORY_RECENTDOCS_EMPTY, RESOURCE_EXISTS_ERROR, RESOURCE_ID, ROOT_ADD_DOC_PARAM, ROOT_ADD_DOC_PARAM_NAME, ROOT_ADD_RESOURCE_LINK, ROOTFOLDER_ID_PARAM, ROOTFOLDER_ID_PARAM_NAME, SEL_FOLDER_ID_PARAM, SEL_FOLDER_ID_PARAM_NAME, SEND_FRIEND_FORM_DESCRIPTION, SEND_FRIEND_FORM_EMAIL_LIST, SEND_FRIEND_FORM_EMAIL_SUBJECT, SEND_FRIEND_FORM_SUBMIT, SIGN_OUT_LABEL, SIZE, TYPE, WS_BROWSE_TITLE, WS_REPOSITORIES_TITLE, WS_SEARCH_TITLE`

Constructor Summary
`DMDispatcher()` Default constructor instantiating the URL-page map.

Method Summary
`void` `dispatch(HttpServletRequest req, HttpServletResponse resp, com.arsdigita.dispatcher.RequestContext ctx)`

Methods inherited from class com.arsdigita.bebop.page.BebopMapDispatcher
`addPage, getPresentationManager, newParseConfigHandler, setMap, setNotFoundPage, setPresentationManager`

Methods inherited from class com.arsdigita.dispatcher.MapDispatcher
`addPage, getMap, preprocessRequest, readFromFile, requireTrailingSlash, setNotFoundDispatcher`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### versionId

    public static final String versionId

See Also:
  Constant Field Values

Constructor Detail

### DMDispatcher

    public DMDispatcher()

  Default constructor instantiating the URL-page map.

Method Detail

### dispatch

    public void dispatch(HttpServletRequest req,
                         HttpServletResponse resp,
                         com.arsdigita.dispatcher.RequestContext ctx)
                  throws IOException,
                         ServletException

  Specified by:
    `dispatch` in interface `com.arsdigita.dispatcher.Dispatcher`
  Throws:
    `IOException`
    `ServletException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC